﻿#SingleInstance Force

#Include ../Class_Gdip.ahk

oGdip := new _GDIP()

oPBitmap := new GDIP_PBitmap("bs.jpg")
w := oPBitmap.getWidth()
h := oPBitmap.getHeight()

; 创建一个gdi位图，其宽度和高度与我们要绘制的位图相同。 这是所有内容的整个绘制区域
; 我们正在以实际图像大小的一半创建此“画布”
; 我们将其减半，因为我们希望图像以一半的尺寸显示在屏幕上的图形用户界面中
oHBitmap := new GDIP_HBitmap(w//2, h//2)

oGraphics := new GDIP_Graphics(oHBitmap)
; 我们不需要前面的示例中绘制图像时所需要的SmoothingMode
; 相反，我们必须设置InterpolationMode。 这指定了如何调整文件大小（调整大小的质量）
; 插值模式已设置为HighQualityBicubic = 7
oGraphics.GdipSetInterpolationMode(7)

oGraphics.drawImage(oPBitmap, [0,0,w//2,h//2])

oGui := GuiCreate("-Caption +E0x80000 +LastFound +AlwaysOnTop +ToolWindow +OwnDialogs")
oGui.Show("NA")

oGraphics.UpdateLayeredWindow(oGui.hwnd, [200,0,w//2,h//2])

oGraphics.SelectObject()
oHBitmap := ""
oGraphics := ""
oPBitmap := ""
oGdip := ""
return
