﻿#SingleInstance force

#Include ../Class_Gdip.ahk

File := "bs.jpg"
Angle := "-30"
Horizontal := 0
Vertical := 0

oGdip := new _GDIP()

oGui2 := GuiCreate("-caption +E0x80000 +LastFound +AlwaysOnTop +ToolWindow +OwnDialogs")
oGui2.Name := "Holder"
oGui2.show("NA")

oPBitmap := new GDIP_PBitmap(File)
oPBitmap.getSize(width, height)
Ratio := width/height

aRect := GDIP_Graphics.getRotatedRect(width, height, angle)
xOffset := aRect[1]
yOffset := aRect[2]
RWidth := aRect[3]
RHeight := aRect[4]

oHBitmap := new GDIP_HBitmap(RWidth, RHeight)
oGraphics := new GDIP_Graphics(oHBitmap)
oGraphics.GdipSetInterpolationMode(7)

oGraphics.GdipTranslateWorldTransform(xOffset, yOffset)
oGraphics.GdipRotateWorldTransform(angle)

if Horizontal {
    oGraphics.GdipScaleWorldTransform(-1, 1)
    oGraphics.GdipTranslateWorldTransform(-width, 0)
}
if Vertical {
    oGraphics.GdipScaleWorldTransform(1, -1)
    oGraphics.GdipTranslateWorldTransform(0, -height)
}

oGraphics.drawImage(oPBitmap, [0,0,width,height])
oGraphics.UpdateLayeredWindow(oGui2.hwnd, [(A_ScreenWidth-RWidth)//2, (A_ScreenHeight-RHeight)//2, RWidth, RHeight])

oGraphics.SelectObject()
oHBitmap := ""
oPBitmap := ""
oGraphics := ""
oGdip := ""
return
