﻿#SingleInstance Force

#Include ../Class_Gdip.ahk

;rectangle to draw
w := 800
h := 600

oGdip := new _GDIP() ;pToken

oHBitmap := new GDIP_HBitmap(w, h)

;Encapsulate 'DC' into 'GDIP_Graphics'
;auto run SelectObject(oHBitmap) and save to oGraphics.pSelectSave 
oGraphics := new GDIP_Graphics(oHBitmap)
oGraphics.GdipSetSmoothingMode(4)

oBrush := new GDIP_Brush(0xFFFF0000)
oGraphics.GdipFillEllipse(oBrush.ptr, [100,300,200,300])

;modify oBrush.ptr, needn't new oBrush2
oBrush.GdipCreateSolidFill(0x660000FF)
oGraphics.GdipFillRectangle(oBrush.ptr, [300,300,300,200])

oPen := new GDIP_Pen(0xFFFF0000, 3)
oGraphics.GdipDrawEllipse(oPen.ptr, [100,50,200,300])

;modify oPen.ptr, needn't new oPen2
oPen.createByArgb(0x660000FF, 10)
oGraphics.GdipDrawEllipse(oPen.ptr, [250,80,300,200])
oPen := "" ;release here

oBrush.GdipCreateSolidFill(0x77000000)
oGraphics.fillRoundedRectangle(oBrush.ptr, [0,0,100,100], 20)
oBrush := "" ;release here

oGui := GuiCreate("-Caption +E0x80000 +LastFound +AlwaysOnTop +ToolWindow +OwnDialogs")
oGui.Show("NA")
OnMessage(0x201, ()=>PostMessage(0xA1, 2))

oGraphics.UpdateLayeredWindow(oGui.hwnd, [100,0,w,h])
oGraphics.SelectObject() ;默认恢复 oGraphics.pSelectSave

;NOTE 顺序很重要
oHBitmap := ""
oGraphics := ""
oGdip := ""
return
