﻿#SingleInstance Force

#Include ../Class_Gdip.ahk

oGdip := new _GDIP()
w := h := 400

oHBitmap := new GDIP_HBitmap(w,h)
oGraphics := new GDIP_Graphics(oHBitmap)
oGraphics.GdipSetSmoothingMode(4)

; Create a hatched brush with background and foreground colours specified (HatchStyleBackwardDiagonal = 3)
;背景
oBrush := new GDIP_Brush(0xff0000ff, 0xffc, 31)
oGraphics.GdipFillRectangle(oBrush.ptr, [(w-200)//2, (h-250)//2, 200, 250])

oGui := GuiCreate("-caption +AlwaysOnTop +Border +E0x80000 +LastFound +OwnDialogs +ToolWindow")
oGui.show("NA")
oGraphics.UpdateLayeredWindow(oGui.hwnd, [0,0,w,h])

sleep(1000)
; Create a hatched brush with background and foreground colours specified (HatchStyleBackwardDiagonal = 3)
;鼻子
oBrush.GdipCreateHatchBrush(0xff000000, 0xff4d3538, 11)
oGraphics.GdipFillPie(oBrush.ptr, [(w-80)//2,(h-80)//2,80,80], [250,40])
oGraphics.UpdateLayeredWindow(oGui.hwnd, [0,0,w,h])

sleep(1000)
; Create a white brush
;眼睛
oBrush.GdipCreateSolidFill(0xffffffff)
oBrush1 := new GDIP_Brush(0xff000000)
Loop 2
{
	x := (A_Index == 1) ? 120 : 220
	y := 100
	oGraphics.GdipFillEllipse(oBrush.ptr, [x,y,60,60])
	x += 15
	y+=15
	oGraphics.GdipFillEllipse(oBrush1.ptr, [x,y,30,30])
}
; Delete both brushes
oBrush1 := ""
oGraphics.UpdateLayeredWindow(oGui.hwnd, [0,0,w,h])

sleep(1000)
; Create a hatched brush with background and foreground colours specified (HatchStyle30Percent = 10)
;嘴巴
oBrush.GdipCreateHatchBrush(0xfff22231, 0xffa10f19, 10)
; Again draw another ellipse into the graphics with the specified brush
oGraphics.GdipFillPie(oBrush.ptr, [150, 200, 100, 80], [0, 180])
; Delete the brush
oBrush := ""
oGraphics.UpdateLayeredWindow(oGui.hwnd, [0,0,w,h])

sleep(1000)
; Create a 3 pixel wide slightly transparent black pen
;画胡子
oPen := new GDIP_Pen(0xbb000000, 3)
; Create some coordinates for the lines in format x1,y1,x2,y2 then loop and draw all the lines
Lines := "180,200,130,220|180,190,130,195|220,200,270,220|220,190,270,195"
for _, v in StrSplit(Lines, "|") {
    Pos := StrSplit(v, ",")
    oGraphics.GdipDrawLine(oPen.ptr, Pos)
}
oPen := ""
oGraphics.UpdateLayeredWindow(oGui.hwnd, [0,0,w,h])

oGraphics.SelectObject()

; The graphics may now be deleted
oGraphics := ""
oGdip := ""
return

Gdip_GuiClose(oGui) {
    global
    oGdip := ""
    oGui.destroy()
}
